<?php
if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

// الحقوق للاخ علي العنزي
// تعديلات عبقري العرب

// ================================================]

// حدد الإمتداد المطلوب عرضه في كل نوع

$images = array("jpg","gif","bmp","tif","tiff","png");
$videos  = array("rm","wmv","mpg","avi","mov","ram","wma");
$zip = array("zip","rar","gz","tar","bz","bz2");
$pages = array("html","htm","txt");

// ================================================

// قراءة الملفات من المجلد مع وضع كل ملف في مصفوفه حسب نوعه
if ($handle = opendir('modules/html/files')) {
   while (false !== ($file = readdir($handle))) {
       if ($file != "." && $file != "..") {
         $ext = strtolower(end(explode('.', $file)));

       	   if (in_array($ext,$images)) {
       	    $image_list[] = $file;
       	   } elseif (in_array($ext,$pages)) {
       	    $pages_list[] = $file;
       	   } elseif (in_array($ext,$videos)) {
       	    $video_list[] = $file;
       	   } elseif (in_array($ext,$zip)) {
       	    $archive_list[] = $file;
       	   } else {
       	    $unknown_list[] = $file;
       	   }

       }
   }
   closedir($handle);
}

// ================================================


// طباعة الملفات حسب النوع

if($pages_list){
echo "<hr><center>ملفات الصفحات</center>";
foreach ($pages_list as $value) {
$open = @fopen("modules/html/files/$value",r);
$data = @fread($open,1024);
@fclose($open);
@preg_match('/<title>([^>]*)<\/title>/si', $data, $match );
if($match[1] == "")$match[1] = "بدون عنوان";
   echo "<a href='mod.php?mod=html&modfile=show&file=".$value."'>".$value." ( ".$match[1]." )</a><br>";
}
}

if($image_list){
echo "<hr><center>ملفات الصور</center>";
foreach ($image_list as $value) {
   echo "<a href='mod.php?mod=html&modfile=show&file=".$value."'>".$value."</a><br>";
}
}

if($video_list){
echo "<hr><center>ملفات الفيديو</center>";
foreach ($video_list as $value) {
   echo "<a href='mod.php?mod=html&modfile=show&file=".$value."'>".$value."</a><br>";
}
}

if($archive_list){
echo "<hr><center>ملفات الأرشيف</center>";
foreach ($archive_list as $value) {
   echo "<a href='mod.php?mod=html&modfile=show&file=".$value."'>".$value."</a><br>";
}
}

/*
if($unknown_list){
echo "<hr><center>ملفات غير معروفة</center>";
foreach ($unknown_list as $value) {
   echo "<a href='mod.php?mod=html&modfile=show&file=".$value."'>".$value."</a><br>";
}
}
*/
?>